Uploaded image for project: 'Couchbase .NET client library'
  1. Couchbase .NET client library
  2. NCBC-1289

Update Couchbase.nuspec .NET Core dependencies

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.4.0-dp3
    • Fix Version/s: 2.4.0
    • Component/s: library
    • Labels:
      None

      Description

      I believe that we need to update the Couchbase.nuspec dependencies (unless they are pciked up automagically?). Here are the dependencies:

      <dependencies>
      <group>
      <dependency id="Microsoft.CSharp" version="4.3.0"/>
      <dependency id="Microsoft.Extensions.Logging.Abstractions" version="1.1.0"/>
      <dependency id="Microsoft.NETCore.Portable.Compatibility" version="1.0.1"/>
      <dependency id="NETStandard.Library" version="1.6.1"/>
      <dependency id="Newtonsoft.Json" version="9.0.1"/>
      <dependency id="System.Globalization.Extensions" version="4.3.0"/>
      <dependency id="System.Net.Http" version="4.3.0"/>
      <dependency id="System.Net.NameResolution" version="4.3.0"/>
      <dependency id="System.Net.Primitives" version="4.3.0"/>
      <dependency id="System.Net.Security" version="4.3.0"/>
      <dependency id="System.Net.Sockets" version="4.3.0"/>
      <dependency id="System.Reflection.TypeExtensions" version="4.3.0"/>
      <dependency id="System.Runtime.Serialization.Primitives" version="4.3.0"/>
      <dependency id="System.Threading.Tasks.Parallel" version="4.3.0"/>
      <dependency id="System.Threading.Thread" version="4.3.0"/>
      </group>
      </dependencies>

        Attachments

        For Gerrit Dashboard: NCBC-1289
        # Subject Branch Project Status CR V

          Activity

          Hide
          mike.goldsmith Michael Goldsmith added a comment -

          We to only apply these dependencies for the netstandard binaries, not the net45 binaries.

          Show
          mike.goldsmith Michael Goldsmith added a comment - We to only apply these dependencies for the netstandard binaries, not the net45 binaries.

            People

            • Assignee:
              mike.goldsmith Michael Goldsmith
              Reporter:
              jmorris Jeff Morris
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.